Bug 460862 - kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.7.z]
kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.7.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7.z
All Linux
high Severity high
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
: Reopened, ZStream
Depends On: 460857 460859
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 00:55 EDT by Eugene Teo (Security Response)
Modified: 2009-01-14 13:06 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 13:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-09-02 00:55:52 EDT
+++ This bug was initially created as a clone of Bug #460857 +++

Description of problem:
Eugene Teo discovered that range_is_allowed() check is only added in
{read,write}_mem(). It is possible for an illegitimate application to bypass
these checks, and access /dev/mem beyond the 1M limit by calling mmap_mem()
instead.

--- Additional comment from eteo@redhat.com on 2008-09-02 00:07:32 EDT ---

This appears to be fixed in upstream since commit e2beb3eae.
Comment 1 RHEL Product and Program Management 2008-09-02 04:23:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jiri Skrabal 2008-10-02 08:52:16 EDT
Closing this BZ. We do not have a business case for 4.7.z.
Comment 5 Vitaly Mayatskikh 2008-12-10 10:19:55 EST
Committed in 78.0.10
Comment 10 errata-xmlrpc 2009-01-14 13:06:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0014.html

Note You need to log in before you can comment on or make changes to this bug.